Bug 1317822 (CVE-2016-3181) - CVE-2016-3181 openjpeg: Out-of-bounds read in opj_tcd_free_tile function
Summary: CVE-2016-3181 openjpeg: Out-of-bounds read in opj_tcd_free_tile function
Status: CLOSED DUPLICATE of bug 1317826
Alias: CVE-2016-3181
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160314,repor...
Keywords: Security
Depends On: 1317830 1317831 1317832
Blocks: 1317829
TreeView+ depends on / blocked
 
Reported: 2016-03-15 10:12 UTC by Adam Mariš
Modified: 2016-09-20 03:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-20 03:23:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Mariš 2016-03-15 10:12:42 UTC
An out-of-bounds read vulnerability in opj_tcd_free_tile function causing segmentation fault triggered by specially crafted JPEG2000 image file was found in openjpeg version 2016.03.14.

CVE request (contains reproducer):

http://seclists.org/oss-sec/2016/q1/630

Comment 1 Adam Mariš 2016-03-15 10:19:49 UTC
Created mingw-openjpeg2 tracking bugs for this issue:

Affects: fedora-all [bug 1317831]

Comment 2 Adam Mariš 2016-03-15 10:19:54 UTC
Created openjpeg2 tracking bugs for this issue:

Affects: fedora-all [bug 1317830]
Affects: epel-all [bug 1317832]

Comment 3 Andrej Nemec 2016-03-17 08:24:07 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q1/666

Comment 4 Sandro Mani 2016-05-04 11:42:18 UTC
Upstream report: https://github.com/uclouvain/openjpeg/issues/724

Comment 5 Fedora Update System 2016-07-14 14:51:41 UTC
openjpeg2-2.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-07-16 21:20:48 UTC
openjpeg2-2.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-07-18 18:27:00 UTC
mingw-openjpeg2-2.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-07-18 20:53:47 UTC
mingw-openjpeg2-2.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Doran Moppert 2016-09-13 08:18:43 UTC
Upstream ticket:

https://github.com/uclouvain/openjpeg/issues/724

From there:

> Origin of the issue is the same as #725

This is probably a duplicate of bug 1317826

Comment 10 Doran Moppert 2016-09-20 03:23:21 UTC

*** This bug has been marked as a duplicate of bug 1317826 ***


Note You need to log in before you can comment on or make changes to this bug.